Skip to content
RapidSMS Twilio Backend
Python
Find file
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Failed to load latest commit information.
docs
rtwilio
.gitignore
.travis.yml
LICENSE.txt
MANIFEST.in Fix manifest typo. Apr 16, 2015
README.rst
runtests.py
setup.cfg
setup.py
tox.ini

README.rst

rapidsms-twilio

Twilio backend for the RapidSMS project. Uses python-twilio to communicate with Twilio.

Build Status

Features

  • Incoming (MO) and Outgoing (MT) SMS support.
  • Support for Twilio's status callback

Requirements

  • Python 2.7 or Python 3.3+
  • Django 1.7+
  • RapidSMS v0.18.0+

Future versions: We currently support Django 1.8 with no pending deprecation warnings in our 1.0 release. We expect each future point release to similarly support the next version of Django, so our 1.1 release would support Django 1.9 with no pending deprecation warnings. Support for older Django versions may be dropped when the period of 'mainstream support' expires. See Django's supported versions documentation for those timelines.

Installation

rapidsms-twilio requires Django >= 1.7 and Python >= 2.7.

To install from PyPi:

pip install rapidsms-twilio

Documentation

Documentation on using rapidsms-twilio is available on Read The Docs.

License

rapidsms-twilio is released under the BSD License. See the LICENSE file for more details.

Contributing

If you think you've found a bug or are interested in contributing to this project check out rapidsms-twilio on Github.

Development by Caktus Consulting Group.

Something went wrong with that request. Please try again.